# Generated by Django 2.2.6 on 2020-05-11 22:27

import django.db.models.deletion
import simple_history.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('AKModel', '0031_event_ordering'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalAK',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('name', models.CharField(help_text='Name of the AK', max_length=256, verbose_name='Name')),
                ('short_name', models.CharField(blank=True, help_text='Name displayed in the schedule', max_length=64,
                                                verbose_name='Short Name')),
                ('description',
                 models.TextField(blank=True, help_text='Description of the AK', verbose_name='Description')),
                ('link', models.URLField(blank=True, help_text='Link to wiki page', verbose_name='Web Link')),
                ('reso', models.BooleanField(default=False, help_text='Intends to submit a resolution',
                                             verbose_name='Resolution Intention')),
                ('present', models.BooleanField(help_text='Present results of this AK', null=True,
                                                verbose_name='Present this AK')),
                ('notes', models.TextField(blank=True,
                                           help_text='Notes to organizers. These are public. For private notes, please send an e-mail.',
                                           verbose_name='Organizational Notes')),
                ('interest',
                 models.IntegerField(default=-1, help_text='Expected number of people', verbose_name='Interest')),
                ('interest_counter',
                 models.IntegerField(default=0, help_text='People who have indicated interest online',
                                     verbose_name='Interest Counter')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type',
                 models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('category',
                 models.ForeignKey(blank=True, db_constraint=False, help_text='Category of the AK', null=True,
                                   on_delete=django.db.models.deletion.DO_NOTHING, related_name='+',
                                   to='AKModel.AKCategory', verbose_name='Category')),
                ('event', models.ForeignKey(blank=True, db_constraint=False, help_text='Associated event', null=True,
                                            on_delete=django.db.models.deletion.DO_NOTHING, related_name='+',
                                            to='AKModel.Event', verbose_name='Event')),
                ('history_user',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+',
                                   to=settings.AUTH_USER_MODEL)),
                ('track',
                 models.ForeignKey(blank=True, db_constraint=False, help_text='Track the AK belongs to', null=True,
                                   on_delete=django.db.models.deletion.DO_NOTHING, related_name='+',
                                   to='AKModel.AKTrack', verbose_name='Track')),
            ],
            options={
                'verbose_name': 'historical AK',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
